Bug 245527 - Review Request: gdesklets-goodweather - weather and forcast display for gdesklets
Review Request: gdesklets-goodweather - weather and forcast display for gdesk...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-24 23:48 EDT by Tyler Owen
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 21:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
mock build log of gdesklets-goodweather 0.3-1 on rawhide i386 (22.10 KB, text/plain)
2007-07-07 13:54 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Tyler Owen 2007-06-24 23:48:10 EDT
Spec URL: http://scurn.net/fedora/gdesklets-goodweather.spec
SRPM URL: http://scurn.net/fedora/gdesklets-goodweather-0.3-1.fc7.src.rpm
Description: 
Themeable weather and condition display for gdesklets. Displays the current
conditions along with a 5 day forcast


Note:
There is no license attached with the source tarball, but the README states the code was released under the GPL.


I am currently seeking a sponsor.  

I have also submitted proxychains for review (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244018)

I have submitted a review for the following packages as well:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244086
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244171
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244411
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244623
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244704
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=244936
Comment 1 Tyler Owen 2007-07-01 11:24:21 EDT
My server that hosts the spec and srpm appears to be down and I am out of town
now so I have mirrored the files on another server that I have access to.


http://yes.urapita.net/fedora/gdesklets-goodweather.spec
http://yes.urapita.net/fedora/gdesklets-goodweather-0.3-1.fc7.src.rpm
Comment 2 Mamoru TASAKA 2007-07-07 13:54:43 EDT
Created attachment 158722 [details]
mock build log of gdesklets-goodweather 0.3-1 on rawhide i386

Some initial comments
* Mockbuild
  - mockbuild failed on rawhide i386. Note that "python" package is
    removed from minimum build environment (please check the
    log attached)

* Directories
  - The following directories are not owned by any packages.
-----------------------------------------------------
/usr/share/gdesklets/
/usr/share/gdesklets/Displays/
/usr/share/gdesklets/Sensors/
-----------------------------------------------------
     *For now* this package should own the directories above.
     (but IMO these directories should be owned by gdesklets.
      Would you contact with gdesklets maintainer?)

* Timestamps
  - To keep timestamps, please use "install -p"
Comment 3 Tyler Owen 2007-07-07 22:24:11 EDT
I have fixed the issues listed above.  

I have also contacted the maintainer of gdesklets and asked them to create/own
the above directories.  In the interim, this package owns the directories.  

* Sat Jul 07 2007 Tyler Owen <tyler.l.owen@gmail.com> - 0.3-2
- Added Python to Requires
- Added -p option to install to preserve timestamps
- Fixed missing directory ownership issues

Spec URL: http://scurn.net/fedora/gdesklets-goodweather.spec
SRPM URL: http://scurn.net/fedora/gdesklets-goodweather-0.3-2.fc7.src.rpm
Comment 4 Mamoru TASAKA 2007-07-07 22:50:53 EDT
http://scurn.net/ still seems no good...
Comment 5 Mamoru TASAKA 2007-07-08 02:17:18 EDT
Well, I downloaded your srpm from other system.
Checking now...
Comment 6 Mamoru TASAKA 2007-07-08 08:42:21 EDT
Well,
* NOTE:
  For now gdesklets itself does not work on rawhide.
  On Fedora 7, it and this package seem to be working.

Okay.
----------------------------------------------------------
  This package (gdesklets-goodweather) is APPROVED by me.
----------------------------------------------------------
Comment 7 Tyler Owen 2007-07-08 13:24:54 EDT
New Package CVS Request
=======================
Package Name: gdesklets-goodweather
Short Description: weather and forcast display for gdesklets
Owners: tyler.l.owen@gmail.com
Branches: F-7
InitialCC:
Comment 8 Tyler Owen 2007-07-09 21:05:47 EDT
Package Change Request
======================
Package Name: gdesklets-goodweather
New Branches: FC-6
Comment 9 Kevin Fenzi 2007-07-10 19:08:06 EDT
cvs done.
Comment 10 Tyler Owen 2007-07-10 21:27:24 EDT
Built on devel, F-7 and FC-6
Requested on Bodhi to push.
Closing.

Thanks for the review and sponsorship!!
Comment 11 Tyler Owen 2007-07-15 15:35:43 EDT
Package Change Request
======================
Package Name: gdesklets-goodweather
Updated Fedora Owners: tyler.l.owen@gmail.com,luya_tfz@thefinalzone.com
Comment 12 Kevin Fenzi 2007-07-16 14:19:31 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.